Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.lineage
Interface ProcessStep

    @UML(identifier="LI_ProcessStep",
         specification=ISO_19115)
    public interface ProcessStep

Description of the event, including related parameters or tolerances.

Since:
  GeoAPI 2.0

Method Summary
`Date` | `getDate()` Date and time or range of date and time on or over which the process step occurred.
`InternationalString` | `getDescription()` Description of the event, including related parameters or tolerances.
`Collection<? extends ResponsibleParty>` | `getProcessors()` Identification of, and means of communication with, person(s) and organization(s) associated with the process step.
`InternationalString` | `getRationale()` Requirement or purpose for the process step.
`Collection<? extends Source>` | `getSources()` Information about the source data used in creating the data specified by the scope.

Method Detail

### getDescription

    @UML(identifier="description",
         obligation=MANDATORY,
         specification=ISO_19115)
    InternationalString getDescription()

  Description of the event, including related parameters or tolerances.

### getRationale

    @UML(identifier="rationale",
         obligation=OPTIONAL,
         specification=ISO_19115)
    InternationalString getRationale()

  Requirement or purpose for the process step.

### getDate

    @UML(identifier="dateTime",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Date getDate()

  Date and time or range of date and time on or over which the process step occurred.

### getProcessors

    @UML(identifier="processor",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Collection<? extends ResponsibleParty> getProcessors()

  Identification of, and means of communication with, person(s) and organization(s) associated with the process step.

### getSources

    @UML(identifier="source",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Collection<? extends Source> getSources()

  Information about the source data used in creating the data specified by the scope.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.